#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER my_app

#undef TRACEPOINT_INCLUDE
#define TRACEPOINT_INCLUDE "./tp.h"

#if !defined(_HELLO_TP_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define _HELLO_TP_H

#include <lttng/tracepoint.h>

TRACEPOINT_EVENT(
    my_app,
    adjust_sensor,
    TP_ARGS(
        int, id_arg
    ),
    TP_FIELDS(
        ctf_integer(int, id, id_arg)
    )
)

TRACEPOINT_EVENT(
    my_app,
    empty,
    TP_ARGS(
    ),
    TP_FIELDS(
    )
)

TRACEPOINT_EVENT(
    my_app,
    current_temp,
    TP_ARGS(
        int, temp_arg,
        char*, my_string_arg
    ),
    TP_FIELDS(
        ctf_integer(int, temp, temp_arg)
        ctf_string(status, my_string_arg)
    )
)

TRACEPOINT_EVENT(
    my_app,
    temp_too_high_crash,
    TP_ARGS(
        int, temp_arg,
        char*, my_string_arg
    ),
    TP_FIELDS(
        ctf_integer(int, current_temp, temp_arg)
        ctf_string(status, my_string_arg)
    )
)

#endif /* _HELLO_TP_H */

#include <lttng/tracepoint-event.h>
